diff --git a/doc/images/packet_flow.svg b/doc/images/packet_flow.svg
index 8d69074..f9ec7fb 100644
--- a/doc/images/packet_flow.svg
+++ b/doc/images/packet_flow.svg
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<svg xmlns:ooo="http://xml.openoffice.org/svg/export" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" version="1.2" width="471.92218mm" height="181.53999mm" viewBox="0 0 47192.219 18154" preserveAspectRatio="xMidYMid" xml:space="preserve" id="svg2" inkscape:version="0.91 r13725" sodipodi:docname="packet_flow.svg" style="fill-rule:evenodd;stroke-width:28.22200012;stroke-linejoin:round">
+<svg xmlns:ooo="http://xml.openoffice.org/svg/export" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:cc="http://creativecommons.org/ns#" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:svg="http://www.w3.org/2000/svg" xmlns="http://www.w3.org/2000/svg" xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape" version="1.2" width="471.92218mm" height="181.53999mm" viewBox="0 0 47192.219 18154" preserveAspectRatio="xMidYMid" xml:space="preserve" id="svg2" inkscape:version="0.91 r13725" sodipodi:docname="packet-flow.svg" style="fill-rule:evenodd;stroke-width:28.22200012;stroke-linejoin:round">
   <metadata id="metadata1128">
     <rdf:RDF>
       <cc:Work rdf:about="">
@@ -413,7 +413,7 @@
             </g>
           </g>
           <g class="com.sun.star.drawing.CustomShape" id="g751">
-            <g id="id39"><rect class="BoundingBox" x="38898" y="8872" width="4577" height="1654" id="rect754" style="fill:none;stroke:none"/><path d="m 39174,8873 c -138,0 -275,137 -275,275 l 0,1100 c 0,138 137,276 275,276 l 4023,0 c 137,0 275,-138 275,-276 l 0,-1100 c 0,-138 -138,-275 -275,-275 l -4023,0 z m -275,0 0,0 z m 4574,1651 0,0 z" id="path756" inkscape:connector-curvature="0" style="fill:#b6d7a8;stroke:none"/><path d="m 39174,8873 c -138,0 -275,137 -275,275 l 0,1100 c 0,138 137,276 275,276 l 4023,0 c 137,0 275,-138 275,-276 l 0,-1100 c 0,-138 -138,-275 -275,-275 l -4023,0 z" id="path758" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><path d="m 38899,8873 0,0 z" id="path760" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><path d="m 43473,10524 0,0 z" id="path762" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><text class="TextShape" id="text764"><tspan class="TextParagraph" font-size="635px" font-weight="400" id="tspan766" style="font-weight:400;font-size:635px;font-family:'Liberation Sans', sans-serif"><tspan class="TextPosition" x="39160" y="9919" id="tspan768"><tspan id="tspan770" style="fill:#000000;stroke:none">Traffic Manger</tspan></tspan></tspan></text>
+            <g id="id39"><rect class="BoundingBox" x="38898" y="8872" width="4577" height="1654" id="rect754" style="fill:none;stroke:none"/><path d="m 39174,8873 c -138,0 -275,137 -275,275 l 0,1100 c 0,138 137,276 275,276 l 4023,0 c 137,0 275,-138 275,-276 l 0,-1100 c 0,-138 -138,-275 -275,-275 l -4023,0 z m -275,0 0,0 z m 4574,1651 0,0 z" id="path756" inkscape:connector-curvature="0" style="fill:#b6d7a8;stroke:none"/><path d="m 39174,8873 c -138,0 -275,137 -275,275 l 0,1100 c 0,138 137,276 275,276 l 4023,0 c 137,0 275,-138 275,-276 l 0,-1100 c 0,-138 -138,-275 -275,-275 l -4023,0 z" id="path758" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><path d="m 38899,8873 0,0 z" id="path760" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><path d="m 43473,10524 0,0 z" id="path762" inkscape:connector-curvature="0" style="fill:none;stroke:#3465a4"/><text class="TextShape" id="text764"><tspan class="TextParagraph" font-size="635px" font-weight="400" id="tspan766" style="font-weight:400;font-size:635px;font-family:'Liberation Sans', sans-serif"><tspan class="TextPosition" x="39511" y="9919" id="tspan768"><tspan id="tspan770" style="fill:#000000;stroke:none">Traffic Mngr</tspan></tspan></tspan></text>
 </g>
           </g>
           <g class="com.sun.star.drawing.CustomShape" id="g772">