diff --git a/doc/Makefile.inc b/doc/Makefile.inc
index 643b1d4e..4a1acf98 100644
--- a/doc/Makefile.inc
+++ b/doc/Makefile.inc
@@ -1,3 +1,5 @@
+IMAGES_DIR = $(top_srcdir)/doc/images
+
 VPATH=$(top_builddir)/doc/images
 
 .msc.svg:
diff --git a/doc/process-guide/Makefile.am b/doc/process-guide/Makefile.am
index 1abaf7e4..da8bb0ae 100644
--- a/doc/process-guide/Makefile.am
+++ b/doc/process-guide/Makefile.am
@@ -1,11 +1,11 @@
 include ../Makefile.inc
 
-IMAGES =   $(top_srcdir)/doc/images/aboutODP1.svg \
-	   $(top_srcdir)/doc/images/aboutODP2.svg \
-	   $(top_srcdir)/doc/images/aboutODP3.svg \
-	   $(top_srcdir)/doc/images/packet_flow.svg \
-	   $(top_srcdir)/doc/images/aboutODP5.svg \
-	   $(top_srcdir)/doc/images/overview.svg
+IMAGES =   $(IMAGES_DIR)/aboutODP1.svg \
+	   $(IMAGES_DIR)/aboutODP2.svg \
+	   $(IMAGES_DIR)/aboutODP3.svg \
+	   $(IMAGES_DIR)/packet_flow.svg \
+	   $(IMAGES_DIR)/aboutODP5.svg \
+	   $(IMAGES_DIR)/overview.svg
 
 EXTRA_DIST = $(top_srcdir)/doc/process-guide/bylaws-guide.adoc \
 	     $(top_srcdir)/doc/process-guide/release-guide.adoc \
@@ -27,8 +27,8 @@ clean-local:
 	rm -f $(builddir)/CHANGELOG.html
 
 release-guide.html: $(top_srcdir)/doc/process-guide/release-guide.adoc \
-		    $(top_srcdir)/doc/images/simple_release_git.svg \
-		    $(top_srcdir)/doc/images/release_git.svg
+		    $(IMAGES_DIR)/simple_release_git.svg \
+		    $(IMAGES_DIR)/release_git.svg
 
 bylaws-guide.html:  $(top_srcdir)/doc/process-guide/bylaws-guide.adoc
 
diff --git a/doc/users-guide/Makefile.am b/doc/users-guide/Makefile.am
index 01b4df36..ae718268 100644
--- a/doc/users-guide/Makefile.am
+++ b/doc/users-guide/Makefile.am
@@ -8,39 +8,39 @@ SRC    = $(top_srcdir)/doc/users-guide/users-guide.adoc \
 	 $(top_srcdir)/doc/users-guide/users-guide-timer.adoc \
 	 $(top_srcdir)/doc/users-guide/users-guide-tm.adoc
 TARGET = users-guide.html
-IMAGES = $(top_srcdir)/doc/images/overview.svg \
-	 $(top_srcdir)/doc/images/atomic_queue.svg \
-	 $(top_srcdir)/doc/images/odp_components.svg \
-	 $(top_srcdir)/doc/images/ODP-Logo-HQ.svg \
-	 $(top_srcdir)/doc/images/odp_rx_processing.svg \
-	 $(top_srcdir)/doc/images/odp_scheduling.svg \
-	 $(top_srcdir)/doc/images/odp_traffic_manager.svg \
-	 $(top_srcdir)/doc/images/ordered_queue.svg \
-	 $(top_srcdir)/doc/images/packet_flow.svg \
-	 $(top_srcdir)/doc/images/packet-adddata.svg \
-	 $(top_srcdir)/doc/images/packet-align.svg \
-	 $(top_srcdir)/doc/images/packet-copyops.svg \
-	 $(top_srcdir)/doc/images/packet-remdata.svg \
-	 $(top_srcdir)/doc/images/packet-split.svg \
-	 $(top_srcdir)/doc/images/packet.svg \
-	 $(top_srcdir)/doc/images/parallel_queue.svg \
-	 $(top_srcdir)/doc/images/pktin_direct_recv.svg \
-	 $(top_srcdir)/doc/images/pktin_queue_recv.svg \
-	 $(top_srcdir)/doc/images/pktin_sched_recv.svg \
-	 $(top_srcdir)/doc/images/pktio_fsm.svg \
-	 $(top_srcdir)/doc/images/pktout_direct_send.svg \
-	 $(top_srcdir)/doc/images/pktout_queue_send.svg \
-	 $(top_srcdir)/doc/images/release_git.svg \
-	 $(top_srcdir)/doc/images/segment.svg \
-	 $(top_srcdir)/doc/images/simple_release_git.svg \
-	 $(top_srcdir)/doc/images/timeout_fsm.svg \
-	 $(top_srcdir)/doc/images/timer_fsm.svg \
-	 $(top_srcdir)/doc/images/tm_hierarchy.svg \
-	 $(top_srcdir)/doc/images/tm_node.svg \
-	 $(top_srcdir)/doc/images/pktin_sched_cls.svg
+IMAGES = $(IMAGES_DIR)/overview.svg \
+	 $(IMAGES_DIR)/atomic_queue.svg \
+	 $(IMAGES_DIR)/odp_components.svg \
+	 $(IMAGES_DIR)/ODP-Logo-HQ.svg \
+	 $(IMAGES_DIR)/odp_rx_processing.svg \
+	 $(IMAGES_DIR)/odp_scheduling.svg \
+	 $(IMAGES_DIR)/odp_traffic_manager.svg \
+	 $(IMAGES_DIR)/ordered_queue.svg \
+	 $(IMAGES_DIR)/packet_flow.svg \
+	 $(IMAGES_DIR)/packet-adddata.svg \
+	 $(IMAGES_DIR)/packet-align.svg \
+	 $(IMAGES_DIR)/packet-copyops.svg \
+	 $(IMAGES_DIR)/packet-remdata.svg \
+	 $(IMAGES_DIR)/packet-split.svg \
+	 $(IMAGES_DIR)/packet.svg \
+	 $(IMAGES_DIR)/parallel_queue.svg \
+	 $(IMAGES_DIR)/pktin_direct_recv.svg \
+	 $(IMAGES_DIR)/pktin_queue_recv.svg \
+	 $(IMAGES_DIR)/pktin_sched_recv.svg \
+	 $(IMAGES_DIR)/pktio_fsm.svg \
+	 $(IMAGES_DIR)/pktout_direct_send.svg \
+	 $(IMAGES_DIR)/pktout_queue_send.svg \
+	 $(IMAGES_DIR)/release_git.svg \
+	 $(IMAGES_DIR)/segment.svg \
+	 $(IMAGES_DIR)/simple_release_git.svg \
+	 $(IMAGES_DIR)/timeout_fsm.svg \
+	 $(IMAGES_DIR)/timer_fsm.svg \
+	 $(IMAGES_DIR)/tm_hierarchy.svg \
+	 $(IMAGES_DIR)/tm_node.svg \
+	 $(IMAGES_DIR)/pktin_sched_cls.svg
 
 if HAVE_MSCGEN
-IMAGES += $(top_srcdir)/doc/images/resource_management.svg
+IMAGES += $(IMAGES_DIR)/resource_management.svg
 endif
 
 EXTRA_DIST = $(SRC) $(IMAGES)