diff --git a/doc/Makefile.am b/doc/Makefile.am
index c6124f46a..708a294e7 100644
--- a/doc/Makefile.am
+++ b/doc/Makefile.am
@@ -1,8 +1,7 @@
 SUBDIRS = \
 	application-api-guide \
 	helper-guide \
-	platform-api-guide \
-	driver-api-guide
+	platform-api-guide
 
 if user_guide
 SUBDIRS += implementers-guide users-guide process-guide
diff --git a/doc/application-api-guide/Doxyfile b/doc/application-api-guide/Doxyfile
index 9cb183c13..a2168a927 100644
--- a/doc/application-api-guide/Doxyfile
+++ b/doc/application-api-guide/Doxyfile
@@ -5,7 +5,6 @@ PROJECT_NUMBER = $(VERSION)
 PROJECT_LOGO = $(SRCDIR)/doc/images/ODP-Logo-HQ.svg
 INPUT = $(SRCDIR)/doc/application-api-guide \
 	$(SRCDIR)/include
-EXCLUDE_PATTERNS = drv* odp_drv.h
 EXAMPLE_PATH = $(SRCDIR)/example $(SRCDIR)
 PREDEFINED = __GNUC__ \
 	     "ODP_HANDLE_T(type)=odp_handle_t type"
diff --git a/doc/driver-api-guide/.gitignore b/doc/driver-api-guide/.gitignore
deleted file mode 100644
index 53752db25..000000000
--- a/doc/driver-api-guide/.gitignore
+++ /dev/null
@@ -1 +0,0 @@
-output
diff --git a/doc/driver-api-guide/Doxyfile b/doc/driver-api-guide/Doxyfile
deleted file mode 100644
index 680d1d428..000000000
--- a/doc/driver-api-guide/Doxyfile
+++ /dev/null
@@ -1,14 +0,0 @@
-@INCLUDE = $(SRCDIR)/doc/Doxyfile_common
-
-PROJECT_NAME = "Driver Interface (drv) Reference Manual"
-PROJECT_NUMBER = $(VERSION)
-PROJECT_LOGO = $(SRCDIR)/doc/images/ODP-Logo-HQ.svg
-INPUT = $(SRCDIR)/doc/driver-api-guide \
-	$(SRCDIR)/include/odp/drv \
-	$(SRCDIR)/include/odp_drv.h
-EXCLUDE_PATTERNS = drv* odp_drv.h
-EXAMPLE_PATH = $(SRCDIR)/example $(SRCDIR)
-PREDEFINED = __GNUC__ \
-	     "ODP_HANDLE_T(type)=odp_handle_t type" \
-	     odpdrv_bool_t=int
-WARNINGS = NO
diff --git a/doc/driver-api-guide/Makefile.am b/doc/driver-api-guide/Makefile.am
deleted file mode 100644
index 4fc4755d1..000000000
--- a/doc/driver-api-guide/Makefile.am
+++ /dev/null
@@ -1,5 +0,0 @@
-EXTRA_DIST = \
-	     odp.dox
-
-clean-local:
-	rm -rf output
diff --git a/doc/driver-api-guide/odp.dox b/doc/driver-api-guide/odp.dox
deleted file mode 100644
index 687a79e04..000000000
--- a/doc/driver-api-guide/odp.dox
+++ /dev/null
@@ -1,20 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @mainpage
- *
- * @section sec_1 Introduction
- *
- * OpenDataPlane (ODP) provides a driver interface
-
- *
- * @section contact Contact Details
- * - The main web site is http://www.opendataplane.org/
- * - The git repo is https://git.linaro.org/lng/odp.git
- * - Bug tracking is https://bugs.linaro.org/buglist.cgi?product=OpenDataPlane
- *
- */
diff --git a/doc/implementers-guide/implementers-guide.adoc b/doc/implementers-guide/implementers-guide.adoc
index 0e2edc0c1..794beb002 100644
--- a/doc/implementers-guide/implementers-guide.adoc
+++ b/doc/implementers-guide/implementers-guide.adoc
@@ -75,57 +75,35 @@ with discussion of how these are done in *odp-linux*.
 [[include_structure]]
 == The Include Structure
 
-The implementers view of the include source tree allows the common interface
+The implementers view of the include source tree allows the common API
 definitions and documentation to be reused by all the platforms defined in the
 tree, but leave the actual definitions to be defined by the specific platform.
-The different ODP interfaces (api and drv) are defined and implemented using
-similar structures:
 
 .Implementers include structure (in repository)
 ----
 ./
 ├── include/
 │   ├── odp/
-│   │   ├── api/
-│   │   │   └── spec/
-│   │   │       └── The Public API specification and its documentation. <1>
-│   │   │
-│   │   └── drv/
+│   │   └── api/
 │   │       └── spec/
-│   │           └── The Public Nic driver interface and its documentation. <5>
-│   │
+│   │           └── The Public API specification and its documentation. <1>
 │   │
 │   ├── odp_api.h  This file should be the only file included by the any ODP
 │   │              application. <4>
 │   │
-│   └── odp_drv.h  This file should be the only file included by the any ODP
-│                  nic driver. <8>
-│
 └── platform/
     └── <implementation name>/
 	└── include/
 	    ├── Internal header files seen only by the implementation.
 	    └── odp/
-		├── api/ <2>
-		│   ├── In-line function definitions of the public API for this
-		│   │   platform seen by the application.
-		│   │
-		│   └── plat/ <3>
-		│       └── Platform specific types, enums etc as seen by the
-		│           application but require overriding by the
-		│           implementation.
-		│
-		├── drv/ <6>
-		│   ├── In-line function definitions of the nic driver interface
-		│   │   for this platform seen by the application.
-		│   │
-		│   └── plat/ <7>
-		│       └── Platform specific types, enums etc as seen by the
-		│           nic driver but require overriding by the
-		│           implementation.
-		│
-		└── com/
-		    └── Things common to both interfaces are placed here.
+		└── api/ <2>
+		    ├── In-line function definitions of the public API for this
+		    │   platform seen by the application.
+		    │
+		    └── plat/ <3>
+		        └── Platform specific types, enums etc as seen by the
+		            application but require overriding by the
+		            implementation.
 
 ----
 <1> The specification, defining the ODP application programming interface (API)
@@ -140,20 +118,6 @@ to allow the platform to provide definitions that match the underlying hardware.
 <4> Applications in turn include the include/odp_api.h file which includes the
 'platform/<implementation name>/include/odp/api' files to provide a complete
 definition of the API.
-<5> The specification, defining the driver programming interface (drv)
-is held in 'include/odp/drv/spec/'. The interface is defined by a set of '.h'
-files including doxygen documentation.
-<6> Each public specification file is included by a counterpart in
-'platform/<implementation name>/include/odp/drv'.
-The include of the specification is AFTER the platform specific definitions
-to allow the platform to provide definitions that match the underlying hardware.
-<7> The implementation code may include files from
-'platform/<implementation name>/include/odp/drv/plat'
-<8> Nic drivers in turn include the include/odp_drv.h file which includes the
-'platform/<implementation name>/include/odp/drv' files to provide a complete
-definition of the ODP driver interface.
-
-
 
 After ODP installation (make install), the structure becomes as follows:
 
@@ -162,16 +126,10 @@ After ODP installation (make install), the structure becomes as follows:
 ./
 └── include/
     ├── odp/
-    │   ├── api/      API In-line for this platform.
-    │   │   ├── plat/ API Platform specific types.
-    │   │   └── spec/ The public API specification.
-    │   │
-    │   └── drv/      Driver interface In-line for this platform.
-    │       ├── plat/ Driver interface Platform specific types.
-    │       └── spec/ The public Driver interface specification.
-    │
-    ├── odp_api.h
-    └── odp_drv.h
+    │   └── api/      API In-line for this platform.
+    │       ├── plat/ API Platform specific types.
+    │       └── spec/ The public API specification.
+    └── odp_api.h
 ----
 
 == ODP library naming recommendations
diff --git a/doc/m4/configure.m4 b/doc/m4/configure.m4
index 6e02f7617..ed9451dff 100644
--- a/doc/m4/configure.m4
+++ b/doc/m4/configure.m4
@@ -42,5 +42,4 @@ AC_CONFIG_FILES([doc/application-api-guide/Makefile
 		 doc/Makefile
 		 doc/platform-api-guide/Makefile
 		 doc/process-guide/Makefile
-		 doc/users-guide/Makefile
-		 doc/driver-api-guide/Makefile])
+		 doc/users-guide/Makefile])
diff --git a/include/odp/drv/spec/README b/include/odp/drv/spec/README
deleted file mode 100644
index cd017bf9d..000000000
--- a/include/odp/drv/spec/README
+++ /dev/null
@@ -1,4 +0,0 @@
-This directory should contain files (including doxygen documentation) defining
-the ODP Nic driver interface.
-The NIC driver interface is the south interface of ODP, which is used by
-PCI nic drivers.
diff --git a/include/odp/drv/spec/compiler.h b/include/odp/drv/spec/compiler.h
deleted file mode 100644
index 3198d21e8..000000000
--- a/include/odp/drv/spec/compiler.h
+++ /dev/null
@@ -1,51 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved.
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @file
- *
- * Compiler related for ODP driver interface
- */
-
-#ifndef ODPDRV_COMPILER_H_
-#define ODPDRV_COMPILER_H_
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/** @addtogroup odpdrv_compiler_optim ODPDRV COMPILER / OPTIMIZATION
- *  Macro for old compilers
- *  @{
- */
-
-/** @internal GNU compiler version */
-#define GCC_VERSION (__GNUC__ * 10000 \
-			+ __GNUC_MINOR__ * 100 \
-			+ __GNUC_PATCHLEVEL__)
-
-/**
- * @internal
- * Compiler __builtin_bswap16() is not available on all platforms
- * until GCC 4.8.0 - work around this by offering __odpdrv_builtin_bswap16()
- * Don't use this function directly, instead see odpdrv byteorder.h
- */
-#if GCC_VERSION < 40800
-#define __odpdrv_builtin_bswap16(u16) \
-				((((u16)&0x00ff) << 8) | (((u16)&0xff00) >> 8))
-#else
-#define __odpdrv_builtin_bswap16(u16) __builtin_bswap16(u16)
-#endif
-
-/**
- * @}
- */
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff --git a/include/odp/drv/spec/std_types.h b/include/odp/drv/spec/std_types.h
deleted file mode 100644
index 904a385b1..000000000
--- a/include/odp/drv/spec/std_types.h
+++ /dev/null
@@ -1,40 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved.
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @file
- *
- * Standard C language types and definitions for ODP driver interface.
- *
- */
-
-#ifndef ODPDRV_STD_TYPES_H_
-#define ODPDRV_STD_TYPES_H_
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/** @addtogroup odpdrv_system ODPDRV SYSTEM
- *  @{
- */
-
-/**
- * @typedef odpdrv_bool_t
- * Use odpdrv boolean type to have it well-defined and known size,
- * regardless which compiler is used as this facilities interoperability
- * between e.g. different compilers.
- */
-
-/**
- * @}
- */
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff --git a/include/odp_drv.h b/include/odp_drv.h
deleted file mode 100644
index a6d3a4433..000000000
--- a/include/odp_drv.h
+++ /dev/null
@@ -1,27 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @file
- *
- * The OpenDataPlane nic driver programming interface
- *
- */
-
-#ifndef ODP_DRV_H_
-#define ODP_DRV_H_
-
-#ifdef __cplusplus
-extern C {
-#endif
-
-#include <odp/drv/compiler.h>
-#include <odp/drv/std_types.h>
-
-#ifdef __cplusplus
-}
-#endif
-#endif
diff --git a/platform/linux-generic/Makefile.am b/platform/linux-generic/Makefile.am
index 0b29e613c..cb13126e6 100644
--- a/platform/linux-generic/Makefile.am
+++ b/platform/linux-generic/Makefile.am
@@ -107,10 +107,6 @@ odpapiplatinclude_HEADERS = \
 nodist_odpapiplatinclude_HEADERS = \
 		  include/odp/api/plat/static_inline.h
 
-odpdrvincludedir = $(includedir)/odp/drv
-odpdrvinclude_HEADERS = \
-		  include/odp/drv/compiler.h
-
 noinst_HEADERS = \
 		  include/_fdserver_internal.h \
 		  include/_ishm_internal.h \
diff --git a/platform/linux-generic/include/odp/drv/README b/platform/linux-generic/include/odp/drv/README
deleted file mode 100644
index fd38e8e57..000000000
--- a/platform/linux-generic/include/odp/drv/README
+++ /dev/null
@@ -1,2 +0,0 @@
-This directory contains the files defining the ODP driver interface,
-for linux-generic.
diff --git a/platform/linux-generic/include/odp/drv/compiler.h b/platform/linux-generic/include/odp/drv/compiler.h
deleted file mode 100644
index 24e84c554..000000000
--- a/platform/linux-generic/include/odp/drv/compiler.h
+++ /dev/null
@@ -1,34 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved.
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @file
- *
- * Compiler related
- */
-
-#ifndef ODPDRV_PLAT_COMPILER_H_
-#define ODPDRV_PLAT_COMPILER_H_
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/** @addtogroup odpdrv_compiler_optim ODPDRV COMPILER / OPTIMIZATION
- *  @{
- */
-
-/**
- * @}
- */
-
-#include <odp/drv/spec/compiler.h>
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif
diff --git a/platform/linux-generic/include/odp/drv/std_types.h b/platform/linux-generic/include/odp/drv/std_types.h
deleted file mode 100644
index 4fe4affda..000000000
--- a/platform/linux-generic/include/odp/drv/std_types.h
+++ /dev/null
@@ -1,42 +0,0 @@
-/* Copyright (c) 2016, Linaro Limited
- * All rights reserved.
- *
- * SPDX-License-Identifier:     BSD-3-Clause
- */
-
-/**
- * @file
- *
- * Standard C language types and definitions for ODP driver interface.
- */
-
-#ifndef ODPDRV_PLAT_STD_TYPES_H_
-#define ODPDRV_PLAT_STD_TYPES_H_
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-#include <stddef.h>
-#include <stdbool.h>
-#include <stdint.h>
-#include <inttypes.h>
-#include <limits.h>
-
-/** @addtogroup odpdrv_system ODPDRV SYSTEM
- *  @{
- */
-
-typedef int odpdrv_bool_t;
-
-/**
- * @}
- */
-
-#include <odp/drv/spec/std_types.h>
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif